package com.steering.mes.mcp.entity;

/**
 * 数据库表COUPLING_MAT_DEAL所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author PC-201412141732 date 2016-04-27
 */
@SuppressWarnings("serial")
public class CouplingMatDealEntity implements java.io.Serializable {
	/**
	 * 交易单号（'J'交易类型编码+工单号+3流水号）
	 */
	private String dealOrde = "";
	/**
	 * 交易类型
	 */
	private String dealTypeCode = "";
	/**
	 * 交易类型名称
	 */
	private String dealTypeName = "";
	/**
	 * 交易发起方代码(原作业单位科室)
	 */
	private String sourceCode = "";
	/**
	 * 交易发起方
	 */
	private String sourceName = "";
	/**
	 * 交易受理方代码（目标作业单位科室）
	 */
	private String tarCode = "";
	/**
	 * 交易受理方
	 */
	private String tarName = "";
	/**
	 * 框号
	 */
	private String kepNo = "";
	/**
	 * 材料号（作业工单号+实绩编号+3位流水）
	 */
	private String matNo = "";
	/**
	 * 实绩编号
	 */
	private String resultNo = "";
	/**
	 * 炉次计划号
	 */
	private String zyPlanId = "";
	/**
	 * 工单号（炉次计划号+01流水）
	 */
	private String woId = "";
	/**
	 * 接箍工序订单编号
	 */
	private String proPlanId = "";
	/**
	 * 属性分组号
	 */
	private String jgGroupId = "";
	/**
	 * (原)工序订单编号
	 */
	private String proPlanId1 = "";
	/**
	 * (原)属性分组号
	 */
	private String jgGroupId1 = "";
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 产线描述
	 */
	private String plineName = "";
	/**
	 * 来源分类代码（8013）
	 */
	private String matOriginCode = "";
	/**
	 * 来源分类名称
	 */
	private String matOriginName = "";
	/**
	 * 来源地代码（产线、外委、外购对应的具体项目）
	 */
	private String soureCode = "";
	/**
	 * 来源地名称
	 */
	private String soureName = "";
	/**
	 * 判定炉号
	 */
	private String judgeStoveNo = "";
	/**
	 * 批号（炉批号）
	 */
	private String batchNo = "";
	/**
	 * 接箍料物料编码
	 */
	private String blWlId = "";
	/**
	 * 接箍料物料描述
	 */
	private String blWlDesc = "";
	/**
	 * 接箍料外径(mm)
	 */
	private String minD = "";
	/**
	 * 接箍料壁厚(mm)
	 */
	private String minH = "";
	/**
	 * 接箍码
	 */
	private String codeJg = "";
	/**
	 * 钢种代码
	 */
	private String gradecode = "";
	/**
	 * 钢种名称
	 */
	private String gradename = "";
	/**
	 * 钢级(牌号)代码
	 */
	private String steelcode = "";
	/**
	 * 钢级(牌号)名称
	 */
	private String steelname = "";
	/**
	 * 扣型代码
	 */
	private String modelCode = "";
	/**
	 * 扣型描述
	 */
	private String modelDesc = "";
	/**
	 * 接箍外径
	 */
	private String outdiameter = "";
	/**
	 * 临界壁厚
	 */
	private String wallthick = "";
	/**
	 * 接箍规格代码
	 */
	private String specJg = "";
	/**
	 * 接箍规格描述
	 */
	private String specJgDesc = "";
	/**
	 * 中孔类别(I、II、III、IV...)
	 */
	private String styleJg = "";
	/**
	 * 中孔内径
	 */
	private String diameter = "";
	/**
	 * 测量J值
	 */
	private String checkJVal = "";
	/**
	 * 接箍长度
	 */
	private String aimlength = "";
	/**
	 * 单重
	 */
	private String singleweight = "";
	/**
	 * 监制要求
	 */
	private String monitordemand = "";
	/**
	 * 是否接箍监制
	 */
	private String ifMonitorJg = "";
	/**
	 * 监制编号
	 */
	private String prdcrNo = "";
	/**
	 * 监制人
	 */
	private String producer = "";
	/**
	 * 监制到场时间
	 */
	private String producerTime = "";
	/**
	 * 机床编号
	 */
	private String machNo = "";
	/**
	 * 机床名称
	 */
	private String machNm = "";
	/**
	 * 交易个数
	 */
	private String dealNum = "";
	/**
	 * 交易总重量
	 */
	private String dealWt = "";
	/**
	 * 结算日期（年月）
	 */
	private String balYearMonth = "";
	/**
	 * 首次入库时间
	 */
	private String fInTime = "";
	/**
	 * 交易时间
	 */
	private String dealTime = "";
	/**
	 * (出库)仓库代码
	 */
	private String storageNo = "";
	/**
	 * (出库)库位代码
	 */
	private String locationNo = "";
	/**
	 * (出库)仓库类型（8003 )
	 */
	private String storageAttr = "";
	/**
	 * (出库)仓库类型描述
	 */
	private String storageAttrName = "";
	/**
	 * (出库)库类别代码(8002)
	 */
	private String storageTypeNo = "";
	/**
	 * (出库)库类别代码描述
	 */
	private String storageTypeName = "";
	/**
	 * (目标)仓库代码
	 */
	private String tarStorageNo = "";
	/**
	 * (目标)库位代码
	 */
	private String tarLocationNo = "";
	/**
	 * (目标)框号
	 */
	private String tarKepNo = "";
	/**
	 * (目标)仓库类型（8003 )
	 */
	private String tarStorageAttr = "";
	/**
	 * (目标)仓库类型描述
	 */
	private String tarStorageAttrName = "";
	/**
	 * (目标)库类别代码(8002 )
	 */
	private String tarStorageTypeNo = "";
	/**
	 * (目标)库类别代码描述
	 */
	private String tarStorageTypeName = "";
	/**
	 * (目标)接收确认标志（0未接收、1已接收）
	 */
	private String tarRecFlag = "";
	/**
	 * 人工录入标志(0,自动，1.人工)
	 */
	private String handFlag = "";
	/**
	 * 压印喷标要求（4项之一）
	 */
	private String demandCopper = "";
	/**
	 * 探伤要求（4项之一，408401）
	 */
	private String demandDetection = "";
	/**
	 * 喷砂要求（4项之一）
	 */
	private String demandBlast = "";
	/**
	 * 磷化镀铜要求（4项之一，408402）
	 */
	private String demandBonderizing = "";
	/**
	 * 客户Alpha编号
	 */
	private String custAlphaNo = "";
	/**
	 * 产品特殊要求描述
	 */
	private String orderSpecialDesc = "";
	/**
	 * 用途代码
	 */
	private String alphaCode = "";
	/**
	 * 判定单号
	 */
	private String deterNo = "";
	/**
	 * 判定结果（407407）
	 */
	private String deterResults = "";
	/**
	 * 操作工
	 */
	private String colOperator = "";
	/**
	 * 备注
	 */
	private String memo = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 材料类别（8014在制品、成品、商品）
	 */
	private String productFlag = "";
	/**
	 * 材料状态（801501在制品阶段、801502成品、801503商品...）
	 */
	private String matStatus = "";
	/**
	 * 判定状态（0.未判定，1.申请判定，2.已判定）
	 */
	private String deterStatus = "";
	/**
	 * 备料码
	 */
	private String codeJgBl = "";
	/**
	 * 原料工艺文件号
	 */
	private String craftFileNo = "";
	/**
	 * 原料工艺序号
	 */
	private String craftSeq = "";
	/**
	 * 所属权单位代码
	 */
	private String belongCode = "";
	/**
	 * 所属权单位
	 */
	private String belongName = "";
	/**
	 * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
	 */
	private String coatType = "";

	/**
	 * 交易单号（'J'交易类型编码+工单号+3流水号）
	 * 
	 * @return value
	 */
	public String getDealOrde() {
		return dealOrde;
	}

	/**
	 * 交易单号（'J'交易类型编码+工单号+3流水号）
	 * 
	 * @param dealOrde
	 *            value
	 */
	public void setDealOrde(String dealOrde) {
		this.dealOrde = dealOrde;
	}

	/**
	 * 交易类型
	 * 
	 * @return value
	 */
	public String getDealTypeCode() {
		return dealTypeCode;
	}

	/**
	 * 交易类型
	 * 
	 * @param dealTypeCode
	 *            value
	 */
	public void setDealTypeCode(String dealTypeCode) {
		this.dealTypeCode = dealTypeCode;
	}

	/**
	 * 交易类型名称
	 * 
	 * @return value
	 */
	public String getDealTypeName() {
		return dealTypeName;
	}

	/**
	 * 交易类型名称
	 * 
	 * @param dealTypeName
	 *            value
	 */
	public void setDealTypeName(String dealTypeName) {
		this.dealTypeName = dealTypeName;
	}

	/**
	 * 交易发起方代码(原作业单位科室)
	 * 
	 * @return value
	 */
	public String getSourceCode() {
		return sourceCode;
	}

	/**
	 * 交易发起方代码(原作业单位科室)
	 * 
	 * @param sourceCode
	 *            value
	 */
	public void setSourceCode(String sourceCode) {
		this.sourceCode = sourceCode;
	}

	/**
	 * 交易发起方
	 * 
	 * @return value
	 */
	public String getSourceName() {
		return sourceName;
	}

	/**
	 * 交易发起方
	 * 
	 * @param sourceName
	 *            value
	 */
	public void setSourceName(String sourceName) {
		this.sourceName = sourceName;
	}

	/**
	 * 交易受理方代码（目标作业单位科室）
	 * 
	 * @return value
	 */
	public String getTarCode() {
		return tarCode;
	}

	/**
	 * 交易受理方代码（目标作业单位科室）
	 * 
	 * @param tarCode
	 *            value
	 */
	public void setTarCode(String tarCode) {
		this.tarCode = tarCode;
	}

	/**
	 * 交易受理方
	 * 
	 * @return value
	 */
	public String getTarName() {
		return tarName;
	}

	/**
	 * 交易受理方
	 * 
	 * @param tarName
	 *            value
	 */
	public void setTarName(String tarName) {
		this.tarName = tarName;
	}

	/**
	 * 框号
	 * 
	 * @return value
	 */
	public String getKepNo() {
		return kepNo;
	}

	/**
	 * 框号
	 * 
	 * @param kepNo
	 *            value
	 */
	public void setKepNo(String kepNo) {
		this.kepNo = kepNo;
	}

	/**
	 * 材料号（作业工单号+实绩编号+3位流水）
	 * 
	 * @return value
	 */
	public String getMatNo() {
		return matNo;
	}

	/**
	 * 材料号（作业工单号+实绩编号+3位流水）
	 * 
	 * @param matNo
	 *            value
	 */
	public void setMatNo(String matNo) {
		this.matNo = matNo;
	}

	/**
	 * 实绩编号
	 * 
	 * @return value
	 */
	public String getResultNo() {
		return resultNo;
	}

	/**
	 * 实绩编号
	 * 
	 * @param resultNo
	 *            value
	 */
	public void setResultNo(String resultNo) {
		this.resultNo = resultNo;
	}

	/**
	 * 炉次计划号
	 * 
	 * @return value
	 */
	public String getZyPlanId() {
		return zyPlanId;
	}

	/**
	 * 炉次计划号
	 * 
	 * @param zyPlanId
	 *            value
	 */
	public void setZyPlanId(String zyPlanId) {
		this.zyPlanId = zyPlanId;
	}

	/**
	 * 工单号（炉次计划号+01流水）
	 * 
	 * @return value
	 */
	public String getWoId() {
		return woId;
	}

	/**
	 * 工单号（炉次计划号+01流水）
	 * 
	 * @param woId
	 *            value
	 */
	public void setWoId(String woId) {
		this.woId = woId;
	}

	/**
	 * 接箍工序订单编号
	 * 
	 * @return value
	 */
	public String getProPlanId() {
		return proPlanId;
	}

	/**
	 * 接箍工序订单编号
	 * 
	 * @param proPlanId
	 *            value
	 */
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	/**
	 * 属性分组号
	 * 
	 * @return value
	 */
	public String getJgGroupId() {
		return jgGroupId;
	}

	/**
	 * 属性分组号
	 * 
	 * @param jgGroupId
	 *            value
	 */
	public void setJgGroupId(String jgGroupId) {
		this.jgGroupId = jgGroupId;
	}

	/**
	 * (原)工序订单编号
	 * 
	 * @return value
	 */
	public String getProPlanId1() {
		return proPlanId1;
	}

	/**
	 * (原)工序订单编号
	 * 
	 * @param proPlanId1
	 *            value
	 */
	public void setProPlanId1(String proPlanId1) {
		this.proPlanId1 = proPlanId1;
	}

	/**
	 * (原)属性分组号
	 * 
	 * @return value
	 */
	public String getJgGroupId1() {
		return jgGroupId1;
	}

	/**
	 * (原)属性分组号
	 * 
	 * @param jgGroupId1
	 *            value
	 */
	public void setJgGroupId1(String jgGroupId1) {
		this.jgGroupId1 = jgGroupId1;
	}

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 来源分类代码（8013）
	 * 
	 * @return value
	 */
	public String getMatOriginCode() {
		return matOriginCode;
	}

	/**
	 * 来源分类代码（8013）
	 * 
	 * @param matOriginCode
	 *            value
	 */
	public void setMatOriginCode(String matOriginCode) {
		this.matOriginCode = matOriginCode;
	}

	/**
	 * 来源分类名称
	 * 
	 * @return value
	 */
	public String getMatOriginName() {
		return matOriginName;
	}

	/**
	 * 来源分类名称
	 * 
	 * @param matOriginName
	 *            value
	 */
	public void setMatOriginName(String matOriginName) {
		this.matOriginName = matOriginName;
	}

	/**
	 * 来源地代码（产线、外委、外购对应的具体项目）
	 * 
	 * @return value
	 */
	public String getSoureCode() {
		return soureCode;
	}

	/**
	 * 来源地代码（产线、外委、外购对应的具体项目）
	 * 
	 * @param soureCode
	 *            value
	 */
	public void setSoureCode(String soureCode) {
		this.soureCode = soureCode;
	}

	/**
	 * 来源地名称
	 * 
	 * @return value
	 */
	public String getSoureName() {
		return soureName;
	}

	/**
	 * 来源地名称
	 * 
	 * @param soureName
	 *            value
	 */
	public void setSoureName(String soureName) {
		this.soureName = soureName;
	}

	/**
	 * 判定炉号
	 * 
	 * @return value
	 */
	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @param judgeStoveNo
	 *            value
	 */
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}

	/**
	 * 批号（炉批号）
	 * 
	 * @return value
	 */
	public String getBatchNo() {
		return batchNo;
	}

	/**
	 * 批号（炉批号）
	 * 
	 * @param batchNo
	 *            value
	 */
	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	/**
	 * 接箍料物料编码
	 * 
	 * @return value
	 */
	public String getBlWlId() {
		return blWlId;
	}

	/**
	 * 接箍料物料编码
	 * 
	 * @param blWlId
	 *            value
	 */
	public void setBlWlId(String blWlId) {
		this.blWlId = blWlId;
	}

	/**
	 * 接箍料物料描述
	 * 
	 * @return value
	 */
	public String getBlWlDesc() {
		return blWlDesc;
	}

	/**
	 * 接箍料物料描述
	 * 
	 * @param blWlDesc
	 *            value
	 */
	public void setBlWlDesc(String blWlDesc) {
		this.blWlDesc = blWlDesc;
	}

	/**
	 * 接箍料外径(mm)
	 * 
	 * @return value
	 */
	public String getMinD() {
		return minD;
	}

	/**
	 * 接箍料外径(mm)
	 * 
	 * @param minD
	 *            value
	 */
	public void setMinD(String minD) {
		this.minD = minD;
	}

	/**
	 * 接箍料壁厚(mm)
	 * 
	 * @return value
	 */
	public String getMinH() {
		return minH;
	}

	/**
	 * 接箍料壁厚(mm)
	 * 
	 * @param minH
	 *            value
	 */
	public void setMinH(String minH) {
		this.minH = minH;
	}

	/**
	 * 接箍码
	 * 
	 * @return value
	 */
	public String getCodeJg() {
		return codeJg;
	}

	/**
	 * 接箍码
	 * 
	 * @param codeJg
	 *            value
	 */
	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}

	/**
	 * 钢种代码
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @return value
	 */
	public String getSteelcode() {
		return steelcode;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @param steelcode
	 *            value
	 */
	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @return value
	 */
	public String getSteelname() {
		return steelname;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @param steelname
	 *            value
	 */
	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	/**
	 * 扣型代码
	 * 
	 * @return value
	 */
	public String getModelCode() {
		return modelCode;
	}

	/**
	 * 扣型代码
	 * 
	 * @param modelCode
	 *            value
	 */
	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	/**
	 * 扣型描述
	 * 
	 * @return value
	 */
	public String getModelDesc() {
		return modelDesc;
	}

	/**
	 * 扣型描述
	 * 
	 * @param modelDesc
	 *            value
	 */
	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	/**
	 * 接箍外径
	 * 
	 * @return value
	 */
	public String getOutdiameter() {
		return outdiameter;
	}

	/**
	 * 接箍外径
	 * 
	 * @param outdiameter
	 *            value
	 */
	public void setOutdiameter(String outdiameter) {
		this.outdiameter = outdiameter;
	}

	/**
	 * 临界壁厚
	 * 
	 * @return value
	 */
	public String getWallthick() {
		return wallthick;
	}

	/**
	 * 临界壁厚
	 * 
	 * @param wallthick
	 *            value
	 */
	public void setWallthick(String wallthick) {
		this.wallthick = wallthick;
	}

	/**
	 * 接箍规格代码
	 * 
	 * @return value
	 */
	public String getSpecJg() {
		return specJg;
	}

	/**
	 * 接箍规格代码
	 * 
	 * @param specJg
	 *            value
	 */
	public void setSpecJg(String specJg) {
		this.specJg = specJg;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @return value
	 */
	public String getSpecJgDesc() {
		return specJgDesc;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @param specJgDesc
	 *            value
	 */
	public void setSpecJgDesc(String specJgDesc) {
		this.specJgDesc = specJgDesc;
	}

	/**
	 * 中孔类别(I、II、III、IV...)
	 * 
	 * @return value
	 */
	public String getStyleJg() {
		return styleJg;
	}

	/**
	 * 中孔类别(I、II、III、IV...)
	 * 
	 * @param styleJg
	 *            value
	 */
	public void setStyleJg(String styleJg) {
		this.styleJg = styleJg;
	}

	/**
	 * 中孔内径
	 * 
	 * @return value
	 */
	public String getDiameter() {
		return diameter;
	}

	/**
	 * 中孔内径
	 * 
	 * @param diameter
	 *            value
	 */
	public void setDiameter(String diameter) {
		this.diameter = diameter;
	}

	/**
	 * 测量J值
	 * 
	 * @return value
	 */
	public String getCheckJVal() {
		return checkJVal;
	}

	/**
	 * 测量J值
	 * 
	 * @param checkJVal
	 *            value
	 */
	public void setCheckJVal(String checkJVal) {
		this.checkJVal = checkJVal;
	}

	/**
	 * 接箍长度
	 * 
	 * @return value
	 */
	public String getAimlength() {
		return aimlength;
	}

	/**
	 * 接箍长度
	 * 
	 * @param aimlength
	 *            value
	 */
	public void setAimlength(String aimlength) {
		this.aimlength = aimlength;
	}

	/**
	 * 单重
	 * 
	 * @return value
	 */
	public String getSingleweight() {
		return singleweight;
	}

	/**
	 * 单重
	 * 
	 * @param singleweight
	 *            value
	 */
	public void setSingleweight(String singleweight) {
		this.singleweight = singleweight;
	}

	/**
	 * 监制要求
	 * 
	 * @return value
	 */
	public String getMonitordemand() {
		return monitordemand;
	}

	/**
	 * 监制要求
	 * 
	 * @param monitordemand
	 *            value
	 */
	public void setMonitordemand(String monitordemand) {
		this.monitordemand = monitordemand;
	}

	/**
	 * 是否接箍监制
	 * 
	 * @return value
	 */
	public String getIfMonitorJg() {
		return ifMonitorJg;
	}

	/**
	 * 是否接箍监制
	 * 
	 * @param ifMonitorJg
	 *            value
	 */
	public void setIfMonitorJg(String ifMonitorJg) {
		this.ifMonitorJg = ifMonitorJg;
	}

	/**
	 * 监制编号
	 * 
	 * @return value
	 */
	public String getPrdcrNo() {
		return prdcrNo;
	}

	/**
	 * 监制编号
	 * 
	 * @param prdcrNo
	 *            value
	 */
	public void setPrdcrNo(String prdcrNo) {
		this.prdcrNo = prdcrNo;
	}

	/**
	 * 监制人
	 * 
	 * @return value
	 */
	public String getProducer() {
		return producer;
	}

	/**
	 * 监制人
	 * 
	 * @param producer
	 *            value
	 */
	public void setProducer(String producer) {
		this.producer = producer;
	}

	/**
	 * 监制到场时间
	 * 
	 * @return value
	 */
	public String getProducerTime() {
		return producerTime;
	}

	/**
	 * 监制到场时间
	 * 
	 * @param producerTime
	 *            value
	 */
	public void setProducerTime(String producerTime) {
		this.producerTime = producerTime;
	}

	/**
	 * 机床编号
	 * 
	 * @return value
	 */
	public String getMachNo() {
		return machNo;
	}

	/**
	 * 机床编号
	 * 
	 * @param machNo
	 *            value
	 */
	public void setMachNo(String machNo) {
		this.machNo = machNo;
	}

	/**
	 * 机床名称
	 * 
	 * @return value
	 */
	public String getMachNm() {
		return machNm;
	}

	/**
	 * 机床名称
	 * 
	 * @param machNm
	 *            value
	 */
	public void setMachNm(String machNm) {
		this.machNm = machNm;
	}

	/**
	 * 交易个数
	 * 
	 * @return value
	 */
	public String getDealNum() {
		return dealNum;
	}

	/**
	 * 交易个数
	 * 
	 * @param dealNum
	 *            value
	 */
	public void setDealNum(String dealNum) {
		this.dealNum = dealNum;
	}

	/**
	 * 交易总重量
	 * 
	 * @return value
	 */
	public String getDealWt() {
		return dealWt;
	}

	/**
	 * 交易总重量
	 * 
	 * @param dealWt
	 *            value
	 */
	public void setDealWt(String dealWt) {
		this.dealWt = dealWt;
	}

	/**
	 * 结算日期（年月）
	 * 
	 * @return value
	 */
	public String getBalYearMonth() {
		return balYearMonth;
	}

	/**
	 * 结算日期（年月）
	 * 
	 * @param balYearMonth
	 *            value
	 */
	public void setBalYearMonth(String balYearMonth) {
		this.balYearMonth = balYearMonth;
	}

	/**
	 * 首次入库时间
	 * 
	 * @return value
	 */
	public String getFInTime() {
		return fInTime;
	}

	/**
	 * 首次入库时间
	 * 
	 * @param fInTime
	 *            value
	 */
	public void setFInTime(String fInTime) {
		this.fInTime = fInTime;
	}

	/**
	 * 交易时间
	 * 
	 * @return value
	 */
	public String getDealTime() {
		return dealTime;
	}

	/**
	 * 交易时间
	 * 
	 * @param dealTime
	 *            value
	 */
	public void setDealTime(String dealTime) {
		this.dealTime = dealTime;
	}

	/**
	 * (出库)仓库代码
	 * 
	 * @return value
	 */
	public String getStorageNo() {
		return storageNo;
	}

	/**
	 * (出库)仓库代码
	 * 
	 * @param storageNo
	 *            value
	 */
	public void setStorageNo(String storageNo) {
		this.storageNo = storageNo;
	}

	/**
	 * (出库)库位代码
	 * 
	 * @return value
	 */
	public String getLocationNo() {
		return locationNo;
	}

	/**
	 * (出库)库位代码
	 * 
	 * @param locationNo
	 *            value
	 */
	public void setLocationNo(String locationNo) {
		this.locationNo = locationNo;
	}

	/**
	 * (出库)仓库类型（8003 )
	 * 
	 * @return value
	 */
	public String getStorageAttr() {
		return storageAttr;
	}

	/**
	 * (出库)仓库类型（8003 )
	 * 
	 * @param storageAttr
	 *            value
	 */
	public void setStorageAttr(String storageAttr) {
		this.storageAttr = storageAttr;
	}

	/**
	 * (出库)仓库类型描述
	 * 
	 * @return value
	 */
	public String getStorageAttrName() {
		return storageAttrName;
	}

	/**
	 * (出库)仓库类型描述
	 * 
	 * @param storageAttrName
	 *            value
	 */
	public void setStorageAttrName(String storageAttrName) {
		this.storageAttrName = storageAttrName;
	}

	/**
	 * (出库)库类别代码(8002)
	 * 
	 * @return value
	 */
	public String getStorageTypeNo() {
		return storageTypeNo;
	}

	/**
	 * (出库)库类别代码(8002)
	 * 
	 * @param storageTypeNo
	 *            value
	 */
	public void setStorageTypeNo(String storageTypeNo) {
		this.storageTypeNo = storageTypeNo;
	}

	/**
	 * (出库)库类别代码描述
	 * 
	 * @return value
	 */
	public String getStorageTypeName() {
		return storageTypeName;
	}

	/**
	 * (出库)库类别代码描述
	 * 
	 * @param storageTypeName
	 *            value
	 */
	public void setStorageTypeName(String storageTypeName) {
		this.storageTypeName = storageTypeName;
	}

	/**
	 * (目标)仓库代码
	 * 
	 * @return value
	 */
	public String getTarStorageNo() {
		return tarStorageNo;
	}

	/**
	 * (目标)仓库代码
	 * 
	 * @param tarStorageNo
	 *            value
	 */
	public void setTarStorageNo(String tarStorageNo) {
		this.tarStorageNo = tarStorageNo;
	}

	/**
	 * (目标)库位代码
	 * 
	 * @return value
	 */
	public String getTarLocationNo() {
		return tarLocationNo;
	}

	/**
	 * (目标)库位代码
	 * 
	 * @param tarLocationNo
	 *            value
	 */
	public void setTarLocationNo(String tarLocationNo) {
		this.tarLocationNo = tarLocationNo;
	}

	/**
	 * (目标)框号
	 * 
	 * @return value
	 */
	public String getTarKepNo() {
		return tarKepNo;
	}

	/**
	 * (目标)框号
	 * 
	 * @param tarKepNo
	 *            value
	 */
	public void setTarKepNo(String tarKepNo) {
		this.tarKepNo = tarKepNo;
	}

	/**
	 * (目标)仓库类型（8003 )
	 * 
	 * @return value
	 */
	public String getTarStorageAttr() {
		return tarStorageAttr;
	}

	/**
	 * (目标)仓库类型（8003 )
	 * 
	 * @param tarStorageAttr
	 *            value
	 */
	public void setTarStorageAttr(String tarStorageAttr) {
		this.tarStorageAttr = tarStorageAttr;
	}

	/**
	 * (目标)仓库类型描述
	 * 
	 * @return value
	 */
	public String getTarStorageAttrName() {
		return tarStorageAttrName;
	}

	/**
	 * (目标)仓库类型描述
	 * 
	 * @param tarStorageAttrName
	 *            value
	 */
	public void setTarStorageAttrName(String tarStorageAttrName) {
		this.tarStorageAttrName = tarStorageAttrName;
	}

	/**
	 * (目标)库类别代码(8002 )
	 * 
	 * @return value
	 */
	public String getTarStorageTypeNo() {
		return tarStorageTypeNo;
	}

	/**
	 * (目标)库类别代码(8002 )
	 * 
	 * @param tarStorageTypeNo
	 *            value
	 */
	public void setTarStorageTypeNo(String tarStorageTypeNo) {
		this.tarStorageTypeNo = tarStorageTypeNo;
	}

	/**
	 * (目标)库类别代码描述
	 * 
	 * @return value
	 */
	public String getTarStorageTypeName() {
		return tarStorageTypeName;
	}

	/**
	 * (目标)库类别代码描述
	 * 
	 * @param tarStorageTypeName
	 *            value
	 */
	public void setTarStorageTypeName(String tarStorageTypeName) {
		this.tarStorageTypeName = tarStorageTypeName;
	}

	/**
	 * (目标)接收确认标志（0未接收、1已接收）
	 * 
	 * @return value
	 */
	public String getTarRecFlag() {
		return tarRecFlag;
	}

	/**
	 * (目标)接收确认标志（0未接收、1已接收）
	 * 
	 * @param tarRecFlag
	 *            value
	 */
	public void setTarRecFlag(String tarRecFlag) {
		this.tarRecFlag = tarRecFlag;
	}

	/**
	 * 人工录入标志(0,自动，1.人工)
	 * 
	 * @return value
	 */
	public String getHandFlag() {
		return handFlag;
	}

	/**
	 * 人工录入标志(0,自动，1.人工)
	 * 
	 * @param handFlag
	 *            value
	 */
	public void setHandFlag(String handFlag) {
		this.handFlag = handFlag;
	}

	/**
	 * 压印喷标要求（4项之一）
	 * 
	 * @return value
	 */
	public String getDemandCopper() {
		return demandCopper;
	}

	/**
	 * 压印喷标要求（4项之一）
	 * 
	 * @param demandCopper
	 *            value
	 */
	public void setDemandCopper(String demandCopper) {
		this.demandCopper = demandCopper;
	}

	/**
	 * 探伤要求（4项之一，408401）
	 * 
	 * @return value
	 */
	public String getDemandDetection() {
		return demandDetection;
	}

	/**
	 * 探伤要求（4项之一，408401）
	 * 
	 * @param demandDetection
	 *            value
	 */
	public void setDemandDetection(String demandDetection) {
		this.demandDetection = demandDetection;
	}

	/**
	 * 喷砂要求（4项之一）
	 * 
	 * @return value
	 */
	public String getDemandBlast() {
		return demandBlast;
	}

	/**
	 * 喷砂要求（4项之一）
	 * 
	 * @param demandBlast
	 *            value
	 */
	public void setDemandBlast(String demandBlast) {
		this.demandBlast = demandBlast;
	}

	/**
	 * 磷化镀铜要求（4项之一，408402）
	 * 
	 * @return value
	 */
	public String getDemandBonderizing() {
		return demandBonderizing;
	}

	/**
	 * 磷化镀铜要求（4项之一，408402）
	 * 
	 * @param demandBonderizing
	 *            value
	 */
	public void setDemandBonderizing(String demandBonderizing) {
		this.demandBonderizing = demandBonderizing;
	}

	/**
	 * 客户Alpha编号
	 * 
	 * @return value
	 */
	public String getCustAlphaNo() {
		return custAlphaNo;
	}

	/**
	 * 客户Alpha编号
	 * 
	 * @param custAlphaNo
	 *            value
	 */
	public void setCustAlphaNo(String custAlphaNo) {
		this.custAlphaNo = custAlphaNo;
	}

	/**
	 * 产品特殊要求描述
	 * 
	 * @return value
	 */
	public String getOrderSpecialDesc() {
		return orderSpecialDesc;
	}

	/**
	 * 产品特殊要求描述
	 * 
	 * @param orderSpecialDesc
	 *            value
	 */
	public void setOrderSpecialDesc(String orderSpecialDesc) {
		this.orderSpecialDesc = orderSpecialDesc;
	}

	/**
	 * 用途代码
	 * 
	 * @return value
	 */
	public String getAlphaCode() {
		return alphaCode;
	}

	/**
	 * 用途代码
	 * 
	 * @param alphaCode
	 *            value
	 */
	public void setAlphaCode(String alphaCode) {
		this.alphaCode = alphaCode;
	}

	/**
	 * 判定单号
	 * 
	 * @return value
	 */
	public String getDeterNo() {
		return deterNo;
	}

	/**
	 * 判定单号
	 * 
	 * @param deterNo
	 *            value
	 */
	public void setDeterNo(String deterNo) {
		this.deterNo = deterNo;
	}

	/**
	 * 判定结果（407407）
	 * 
	 * @return value
	 */
	public String getDeterResults() {
		return deterResults;
	}

	/**
	 * 判定结果（407407）
	 * 
	 * @param deterResults
	 *            value
	 */
	public void setDeterResults(String deterResults) {
		this.deterResults = deterResults;
	}

	/**
	 * 操作工
	 * 
	 * @return value
	 */
	public String getColOperator() {
		return colOperator;
	}

	/**
	 * 操作工
	 * 
	 * @param colOperator
	 *            value
	 */
	public void setColOperator(String colOperator) {
		this.colOperator = colOperator;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 材料类别（8014在制品、成品、商品）
	 * 
	 * @return value
	 */
	public String getProductFlag() {
		return productFlag;
	}

	/**
	 * 材料类别（8014在制品、成品、商品）
	 * 
	 * @param productFlag
	 *            value
	 */
	public void setProductFlag(String productFlag) {
		this.productFlag = productFlag;
	}

	/**
	 * 材料状态（801501在制品阶段、801502成品、801503商品...）
	 * 
	 * @return value
	 */
	public String getMatStatus() {
		return matStatus;
	}

	/**
	 * 材料状态（801501在制品阶段、801502成品、801503商品...）
	 * 
	 * @param matStatus
	 *            value
	 */
	public void setMatStatus(String matStatus) {
		this.matStatus = matStatus;
	}

	/**
	 * 判定状态（0.未判定，1.申请判定，2.已判定）
	 * 
	 * @return value
	 */
	public String getDeterStatus() {
		return deterStatus;
	}

	/**
	 * 判定状态（0.未判定，1.申请判定，2.已判定）
	 * 
	 * @param deterStatus
	 *            value
	 */
	public void setDeterStatus(String deterStatus) {
		this.deterStatus = deterStatus;
	}

	/**
	 * 备料码
	 * 
	 * @return value
	 */
	public String getCodeJgBl() {
		return codeJgBl;
	}

	/**
	 * 备料码
	 * 
	 * @param codeJgBl
	 *            value
	 */
	public void setCodeJgBl(String codeJgBl) {
		this.codeJgBl = codeJgBl;
	}

	/**
	 * 原料工艺文件号
	 * 
	 * @return value
	 */
	public String getCraftFileNo() {
		return craftFileNo;
	}

	/**
	 * 原料工艺文件号
	 * 
	 * @param craftFileNo
	 *            value
	 */
	public void setCraftFileNo(String craftFileNo) {
		this.craftFileNo = craftFileNo;
	}

	/**
	 * 原料工艺序号
	 * 
	 * @return value
	 */
	public String getCraftSeq() {
		return craftSeq;
	}

	/**
	 * 原料工艺序号
	 * 
	 * @param craftSeq
	 *            value
	 */
	public void setCraftSeq(String craftSeq) {
		this.craftSeq = craftSeq;
	}

	/**
	 * 所属权单位代码
	 * 
	 * @return value
	 */
	public String getBelongCode() {
		return belongCode;
	}

	/**
	 * 所属权单位代码
	 * 
	 * @param belongCode
	 *            value
	 */
	public void setBelongCode(String belongCode) {
		this.belongCode = belongCode;
	}

	/**
	 * 所属权单位
	 * 
	 * @return value
	 */
	public String getBelongName() {
		return belongName;
	}

	/**
	 * 所属权单位
	 * 
	 * @param belongName
	 *            value
	 */
	public void setBelongName(String belongName) {
		this.belongName = belongName;
	}

	/**
	 * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
	 * 
	 * @return value
	 */
	public String getCoatType() {
		return coatType;
	}

	/**
	 * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
	 * 
	 * @param coatType
	 *            value
	 */
	public void setCoatType(String coatType) {
		this.coatType = coatType;
	}

	private String matNoXh = "";

	public String getMatNoXh() {
		return matNoXh;
	}

	public void setMatNoXh(String matNoXh) {
		this.matNoXh = matNoXh;
	}

	/**
	 * 交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
	 */
	private String qcmStaus = "";
	/**
	 * 已用个数
	 */
	private String usedNum = "";
	/**
	 * 已用重量
	 */
	private String usedWt = "";
	/**
	 * 废品个
	 */
	private String faillNum = "";
	/**
	 * 废品重量
	 */
	private String faillWt = "";
	/**
	 * 回库个
	 */
	private String backNum = "";
	/**
	 * 回库重量
	 */
	private String backWt = "";

	/**
	 * 交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
	 * 
	 * @return value
	 */
	public String getQcmStaus() {
		return qcmStaus;
	}

	/**
	 * 交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
	 * 
	 * @param qcmStaus
	 *            value
	 */
	public void setQcmStaus(String qcmStaus) {
		this.qcmStaus = qcmStaus;
	}

	/**
	 * 已用个数
	 * 
	 * @return value
	 */
	public String getUsedNum() {
		return usedNum;
	}

	/**
	 * 已用个数
	 * 
	 * @param usedNum
	 *            value
	 */
	public void setUsedNum(String usedNum) {
		this.usedNum = usedNum;
	}

	/**
	 * 已用重量
	 * 
	 * @return value
	 */
	public String getUsedWt() {
		return usedWt;
	}

	/**
	 * 已用重量
	 * 
	 * @param usedWt
	 *            value
	 */
	public void setUsedWt(String usedWt) {
		this.usedWt = usedWt;
	}

	/**
	 * 废品个
	 * 
	 * @return value
	 */
	public String getFaillNum() {
		return faillNum;
	}

	/**
	 * 废品个
	 * 
	 * @param faillNum
	 *            value
	 */
	public void setFaillNum(String faillNum) {
		this.faillNum = faillNum;
	}

	/**
	 * 废品重量
	 * 
	 * @return value
	 */
	public String getFaillWt() {
		return faillWt;
	}

	/**
	 * 废品重量
	 * 
	 * @param faillWt
	 *            value
	 */
	public void setFaillWt(String faillWt) {
		this.faillWt = faillWt;
	}

	/**
	 * 回库个
	 * 
	 * @return value
	 */
	public String getBackNum() {
		return backNum;
	}

	/**
	 * 回库个
	 * 
	 * @param backNum
	 *            value
	 */
	public void setBackNum(String backNum) {
		this.backNum = backNum;
	}

	/**
	 * 回库重量
	 * 
	 * @return value
	 */
	public String getBackWt() {
		return backWt;
	}

	/**
	 * 回库重量
	 * 
	 * @param backWt
	 *            value
	 */
	public void setBackWt(String backWt) {
		this.backWt = backWt;
	}

	/**
	 * 补录标志（0:自动，1:补录）
	 */
	private String outFlag = "";
	/**
	 * 接箍合同号
	 */
	private String jgOrderno = "";
	/**
	 * 合同号
	 */
	private String orderNo = "";
	/**
	 * 合同行号
	 */
	private String orderSeq = "";
	/**
	 * 交货行号
	 */
	private String deliveryNo = "";
	/**
	 * 合同主键
	 */
	private String ordPk = "";
	/**
	 * 合同行主键
	 */
	private String ordLnPk = "";
	/**
	 * 交货行主键
	 */
	private String ordLnDlyPk = "";

	/**
	 * 出库标志（0:正常，1:补录，2.领用）
	 * 
	 * @return value
	 */
	public String getOutFlag() {
		return outFlag;
	}

	/**
	 * 出库标志（0:正常，1:补录，2.领用）
	 * 
	 * @param outFlag
	 *            value
	 */
	public void setOutFlag(String outFlag) {
		this.outFlag = outFlag;
	}

	/**
	 * 接箍合同号
	 * 
	 * @return value
	 */
	public String getJgOrderno() {
		return jgOrderno;
	}

	/**
	 * 接箍合同号
	 * 
	 * @param jgOrderno
	 *            value
	 */
	public void setJgOrderno(String jgOrderno) {
		this.jgOrderno = jgOrderno;
	}

	/**
	 * 合同号
	 * 
	 * @return value
	 */
	public String getOrderNo() {
		return orderNo;
	}

	/**
	 * 合同号
	 * 
	 * @param orderNo
	 *            value
	 */
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	/**
	 * 合同行号
	 * 
	 * @return value
	 */
	public String getOrderSeq() {
		return orderSeq;
	}

	/**
	 * 合同行号
	 * 
	 * @param orderSeq
	 *            value
	 */
	public void setOrderSeq(String orderSeq) {
		this.orderSeq = orderSeq;
	}

	/**
	 * 交货行号
	 * 
	 * @return value
	 */
	public String getDeliveryNo() {
		return deliveryNo;
	}

	/**
	 * 交货行号
	 * 
	 * @param deliveryNo
	 *            value
	 */
	public void setDeliveryNo(String deliveryNo) {
		this.deliveryNo = deliveryNo;
	}

	/**
	 * 合同主键
	 * 
	 * @return value
	 */
	public String getOrdPk() {
		return ordPk;
	}

	/**
	 * 合同主键
	 * 
	 * @param ordPk
	 *            value
	 */
	public void setOrdPk(String ordPk) {
		this.ordPk = ordPk;
	}

	/**
	 * 合同行主键
	 * 
	 * @return value
	 */
	public String getOrdLnPk() {
		return ordLnPk;
	}

	/**
	 * 合同行主键
	 * 
	 * @param ordLnPk
	 *            value
	 */
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	/**
	 * 交货行主键
	 * 
	 * @return value
	 */
	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	/**
	 * 交货行主键
	 * 
	 * @param ordLnDlyPk
	 *            value
	 */
	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	private String craftSeqOrd = "";
	private String craftFileNoOrd = "";

	/**
	 * 成品合同工序序号
	 */
	public String getCraftSeqOrd() {
		return craftSeqOrd;
	}

	/**
	 * 成品合同工序序号
	 */
	public void setCraftSeqOrd(String craftSeqOrd) {
		this.craftSeqOrd = craftSeqOrd;
	}

	/**
	 * 成品合同工序文件
	 */
	public String getCraftFileNoOrd() {
		return craftFileNoOrd;
	}

	/**
	 * 成品合同工序文件
	 */
	public void setCraftFileNoOrd(String craftFileNoOrd) {
		this.craftFileNoOrd = craftFileNoOrd;
	}

	private String flagStoveNo = "";
	private String stoveNo = "";

	/**
	 * 标示炉号
	 */
	public String getFlagStoveNo() {
		return flagStoveNo;
	}

	/**
	 * 标示炉号
	 */
	public void setFlagStoveNo(String flagStoveNo) {
		this.flagStoveNo = flagStoveNo;
	}

	/**
	 * 冶炼炉号
	 */
	public String getStoveNo() {
		return stoveNo;
	}

	/**
	 * 冶炼炉号
	 */
	public void setStoveNo(String stoveNo) {
		this.stoveNo = stoveNo;
	}

	private String gowhereName = "";

	/**
	 * 去向
	 */
	public String getGowhereName() {
		return gowhereName;
	}

	/**
	 * 去向
	 */
	public void setGowhereName(String gowhereName) {
		this.gowhereName = gowhereName;
	}
}
